//
//  JSUMSApi.h
//  ThirdAppDemo
//
//  Created by suzq on 14-8-4.
//  Copyright (c) 2014年 suzq. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface JSUMSApi : NSObject
/**
 *  注册App的URL Schemes
 *
 *  @param appSchemeUrl
 */
+(void)registerAppSchemeUrl:(NSString *)appSchemeUrl;
/**
 *  注册App的appAccessKeyId
 *
 *  @param appAccessKeyId
 */
+(void)registerAppAccessKeyId:(NSString *)appAccessKeyId;
/**
 *  注册App的私钥(如果自己按照文档规则传入signData，则无需注册私钥)
 *
 *  @param appPrivateKey
 */
+(void)registerAppPrivateKey:(NSString *)appPrivateKey;
/**
 *  注册服务端公钥
 *
 *  @param serverPublicKey
 */
+(void)registerServerPublicKey:(NSString *)serverPublicKey;
/**
 *  将封装好的数据通过app内跳转的形式传给左收右付
 *
 *  @param entity
 */
+(void)jumpToJSUMSAppWithEntity:(id)entity;
/**
 *  将NSURL中的数据根据实际情况封装到OrderThirdResEntity或OrderThirdResEntity中
 *
 *  @param url
 *
 *  @return resEntity
 */
+(id)UrlSplitToEntity:(NSURL *)url;

@end
