import {
  Platform,
  NativeModules,
  DeviceEventEmitter,
  NativeEventEmitter
} from "react-native";

const NLPayment = NativeModules.NLPayment;
var subscription = null;

export default {
  create: () => { if (NLPayment) NLPayment.create(); },
  destroy: () => {
      if (NLPayment) NLPayment.destroy();
      if (null == subscription) {
          return;
      }
      if ('android' === Platform.OS) {
          DeviceEventEmitter.removeSubscription(subscription);
      } else { 
          NativeEventEmitter.removeSubscription(subscription); 
      } 
  },
  pay: (data) => { if (NLPayment) NLPayment.pay(data); }, //格式请参考BalanceRechargeBill对象，参数为string类型
  listen: (_code) => { if (typeof _code != "function") return; if (Platform.OS === "ios") { let iOSNativeModule = new NativeEventEmitter(NLPayment); subscription = iOSNativeModule.addListener("NlCode", _code, ""); } else { subscription = DeviceEventEmitter.addListener("NlCode", _code); } }
};
